Results 1 to 7 of 7

Thread: Pyrit Python2.5 segment fault when using CUDA

  1. #1
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    14

    Default Pyrit Python2.5 segment fault when using CUDA

    I have been working on a WPA cracking rig using nvidia Gforce 9800GTX+ cards and have been struggling with the same error for a few months now.

    I am feeding Crunch into pyrit (r265) into cowpatty and I'm getting about 3000 passwords a second. This will run for either minutes or days and then die with a "fread success error". dmesg says it is something along the lines of a "segment fault...python2.5...error [4,6,7]".

    I have tried to run pyrit using "/usr/bin/python2.6 /usr/bin/pyrit...." as well as "/python3/" and they won't even try and run. I have also tried installing the latest pyrit using "/usr/bin/pything2.6 setup.py" and that won't run either.

    I am almost positive it is a pyrit issue because I have run crunch into cowpatty and it ran without issue for almost a week. I have also done plenty of other trouble shooting but it would take too long for me to type it all up and nobody wants to read about that much failure.

    Any input is appreciated.
    Last edited by Loser3000; 09-16-2010 at 06:29 PM.

  2. #2
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    14

    Default Re: Pyrit Python2.5 segment fault when using CUDA

    I forced an error and received additional information. I know what it says I just have no idea what it means. Any Pyrit programmers out their know what happened?


    key no. 8030000: aaarowsd
    key no. 8040000: aaarplmt
    Exception in thread Thread-5:
    Traceback (most recent call last):
    File "/usr/lib/python2.5/threading.py", line 486, in __bootstrap_inner
    self.run()
    File "/usr/lib/python2.5/site-packages/cpyrit/cpyrit.py", line 115, in run
    res = self.solve(essid, pwlist)
    SystemError: CUDA_ERROR_LAUNCH_FAILED

    Exception in thread Thread-6:
    Traceback (most recent call last):
    File "/usr/lib/python2.5/threading.py", line 486, in __bootstrap_inner
    self.run()
    File "/usr/lib/python2.5/site-packages/cpyrit/cpyrit.py", line 109, in run
    essid, pwlist = self.queue._gather(self.buffersize, timeout=0.5)
    File "/usr/lib/python2.5/site-packages/cpyrit/cpyrit.py", line 640, in _gather
    self._check_cores()
    File "/usr/lib/python2.5/site-packages/cpyrit/cpyrit.py", line 498, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
    SystemError: The core 'CUDA-Device #4 'GeForce 9800 GTX+'' has died unexpectedly

    Traceback (most recent call last):
    File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 110, in initFromArgv
    func(self, **options)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 587, in passthrough
    for results in rstiter:
    File "/usr/lib/python2.5/site-packages/cpyrit/util.py", line 198, in next
    self.cp.enqueue(self.essid, self.workunits[-1])
    File "/usr/lib/python2.5/site-packages/cpyrit/cpyrit.py", line 572, in enqueue
    self._check_cores()
    File "/usr/lib/python2.5/site-packages/cpyrit/cpyrit.py", line 498, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
    SystemError: The core 'CUDA-Device #4 'GeForce 9800 GTX+'' has died unexpectedly
    fread: Success
    Unable to identify the PSK from the dictionary file. Try expanding your
    passphrase list, and double-check the SSID. Sorry it didn't work out.

  3. #3
    Junior Member
    Join Date
    Feb 2010
    Location
    USA
    Posts
    47

    Default Re: Pyrit Python2.5 segment fault when using CUDA

    Edit: Complete re-write; I'm retarded.

    I'm guessing you have already found this issue on pyrit's Google Code page

    The creator mentions changing "/usr/bin/env python" to point to python2.6

    Have you tried this? This way, you wouldn't need to type /usr/bin/python2.6 ./setup.py
    My guess is that some of the pyrit code uses /usr/bin/python while compiling. Since /usr/bin/python doesn't point to 2.6, it's not compiling correctly.

    This method worked for pyrit r209. You might need to roll back to this revision for it to work.
    Last edited by derv82; 09-16-2010 at 09:25 PM.

  4. #4
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    14

    Default Re: Pyrit Python2.5 segment fault when using CUDA

    Derv82 thanks for your reply,

    I think I read the same thing you are referencing. I also found that some people had the rest of their system eat itself by having python point to 2.6 instead of 2.5 so I was a little weary.

    I'll give it a shot though.

    Thanks

  5. #5
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    14

    Default Re: Pyrit Python2.5 segment fault when using CUDA

    Quote Originally Posted by Loser3000 View Post
    I also found that some people had the rest of their system eat itself by having python point to 2.6

    Confirmed. Had to reinstall.

    I have tried to compile pyrit-3.0 with python 2.6
    /usr/bin/python2.6 setup.py build
    and the build fails (am I doing that right?)

    Anyone else have any ideas or suggestions?

  6. #6
    Developer
    Join Date
    Mar 2007
    Posts
    6,126

    Default Re: Pyrit Python2.5 segment fault when using CUDA

    you will have to change the setup files to use the python2.6 you installed.

    So /usr/bin/python needs to read /usr/bin/python2.6

    So it know which one to build with

  7. #7
    Just burned his ISO
    Join Date
    Sep 2010
    Posts
    1

    Default Re: Pyrit Python2.5 segment fault when using CUDA

    i installed in old folder itself how to change this







    __________________________
    Timeshare Exit Solution

Similar Threads

  1. help with pyrit and cuda
    By samthedeer in forum Beginners Forum
    Replies: 2
    Last Post: 09-10-2010, 03:37 AM
  2. pyrit with CUDA support not showing CUDA cores
    By kill_box001 in forum Beginners Forum
    Replies: 7
    Last Post: 08-14-2010, 06:29 PM
  3. Pyrit 0.3.1 segmentation fault
    By scarleo in forum Beginners Forum
    Replies: 4
    Last Post: 03-03-2010, 11:53 PM
  4. Pyrit error cuda
    By jeppoo in forum OLD BackTrack 4 (pre) Final
    Replies: 1
    Last Post: 01-29-2010, 12:49 AM
  5. pyrit .2.4 - 0.2.5 not working with cuda?
    By andytof47 in forum OLD BackTrack 4 General Support
    Replies: 9
    Last Post: 01-22-2010, 01:55 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •